<?php
session_start();

if (isset($_SESSION["user_id"]) and isset($_SESSION["password"])) {
  $dbhost=$_SESSION["dbhost"];
  $dbuser=$_SESSION["dbuser"];
  $dbpass=$_SESSION["dbpass"];
  
  $id=$_SESSION["user_id"];

  if (isset($_POST["todo_title"])) {

    $todo_title=strip_tags($_POST["todo_title"]);
    $todo_desc=strip_tags($_POST["todo_desc"]);
    $todo_todo=strip_tags($_POST["todo_todo"]);
    $todo_color=strip_tags($_POST["todo_color"]);

    $pdo=new PDO($dbhost,$dbuser, $dbpass);
    $sql="INSERT INTO todo (user_id, todo_title, todo_desc, todo_todo, todo_color) VALUES (:id, :t_title, :t_desc, :t_todo, :t_color)";
    $stmt = $pdo->prepare($sql);
    $stmt->execute(array(
      ':id' => $id,
      ':t_title' => $todo_title,
      ':t_desc' => $todo_desc,
      ':t_todo' => $todo_todo,
      ':t_color' => $todo_color,
    ));
    unset($_POST);
    header("Location: ./todo.php#divider");
  }
}
?>